## org.apache.poi.hssf.record
Class ExternSheetSubRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.ExternSheetSubRecord

public class ExternSheetSubRecord
extends Record

Title: A sub Record for Extern Sheet

Description: Defines a named range within a workbook.

REFERENCE:

Version:
  1.0-pre
Author:
  Libin Roman (Vista Portal LDT. Developer)

Field Summary
`static short` `sid`

Constructor Summary
`ExternSheetSubRecord()` a Constractor for making new sub record
`ExternSheetSubRecord(short id, short size, byte[] data)` Constructs a Extern Sheet Sub Record record and sets its fields appropriately.
`ExternSheetSubRecord(short id, short size, byte[] data, int offset)` Constructs a Extern Sheet Sub Record record and sets its fields appropriately.

Method Summary
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getIndexToFirstSupBook()` gets the index to first sheet from supbook
`short` `getIndexToLastSupBook()` gets the index to last sheet in supbook
`short` `getIndexToSupBook()` gets the index to sup book
`int` `getRecordSize()` returns the record size
`short` `getSid()` return the non static version of the id for this record.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setIndexToFirstSupBook(short index)` sets the index to first sheet in supbook
`void` `setIndexToLastSupBook(short index)` sets the index to last sheet in supbook
`void` `setIndexToSupBook(short index)` Sets the Index to the sup book
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ExternSheetSubRecord

    public ExternSheetSubRecord()

  a Constractor for making new sub record

### ExternSheetSubRecord

    public ExternSheetSubRecord(short id,
                                short size,
                                byte[] data)

  Constructs a Extern Sheet Sub Record record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x18 or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### ExternSheetSubRecord

    public ExternSheetSubRecord(short id,
                                short size,
                                byte[] data,
                                int offset)

  Constructs a Extern Sheet Sub Record record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x18 or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### setIndexToSupBook

    public void setIndexToSupBook(short index)

  Sets the Index to the sup book

  Parameters:
    `index` - sup book index

### getIndexToSupBook

    public short getIndexToSupBook()

  gets the index to sup book

  Returns:
    sup book index

### setIndexToFirstSupBook

    public void setIndexToFirstSupBook(short index)

  sets the index to first sheet in supbook

  Parameters:
    `index` - index to first sheet

### getIndexToFirstSupBook

    public short getIndexToFirstSupBook()

  gets the index to first sheet from supbook

  Returns:
    index to first supbook

### setIndexToLastSupBook

    public void setIndexToLastSupBook(short index)

  sets the index to last sheet in supbook

  Parameters:
    `index` - index to last sheet

### getIndexToLastSupBook

    public short getIndexToLastSupBook()

  gets the index to last sheet in supbook

  Returns:
    index to last supbook

### validateSid

    protected void validateSid(short id)

  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  returns the record size

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright © 2003 Apache Software Foundation.